Subscribe

SNapmanager 3.1 for Oracle and issues with Oracle 11.2.03

[ Edited ]

Hi,

Just upgrade nsapdrive and snapmanager for Oracle 11.2.0.3. Platform is Sun SPARC. I have also installed Oracle 11.2.0.1 32-bit version client used by SMO 3.1 as mentioned in the documentation.

When I try to recreate profile I still get java errors without reason?

Do anyone has faced this issue?

[ INFO] SMO-20020: Set password for profile "DB_DAILY" in user credentials for "root".

[ INFO] SMO-13046: Operation GUID 023c815d3505df4e013505df6125000a starting on Profile DB_DAILY

[ INFO] SMO-13505: SnapDrive environment verification passed.

[ INFO] SMO-13506: SQLPlus verification for database SID "DB10" passed.  Environment: [ORACLE_HOME=/oracle/orab/11.2 .0]

[ INFO] SMO-13509: RMAN verification using catalog "RMANDB1" passed.

[ERROR] SMO-05075: Profile create failed: SMO-13504: Verify operation failed. Errors: [java.rmi.ServerError: Error occurred in  server thread; nested exception is:

        java.lang.UnsatisfiedLinkError: getLibraryVersionNumber]

[ INFO] SMO-20022: Deleted credentials and repository mapping for profile "DB_DAILY" in user credentials for "root ".

Operation Id [023c815d3505df4e013505df6125000a] failed. Error: Verify operation failed. Errors: [java.rmi.ServerError: Error o ccurred in server thread; nested exception is:

        java.lang.UnsatisfiedLinkError: getLibraryVersionNumber]

bash-3.00#

Thank you and Best Regards.JP.

Re: SNapmanager 3.1 for Oracle and issues with Oracle 11.2.03

You need 3.1P1. Pay close attention to the install directions in the patch notice. One verified to be working, apply the 3.1P4 patch.

Your SnapDrive version should be 4.2P2.

Re: your Oracle patch level, make sure you are following the IMT; to include paying attention to the Notes section for many details on Oracle patches not listed specifically in the Component Explorer.

-Mark

SNapmanager 3.1 for Oracle and issues with Oracle 11.2.03

Installed SMO 3.1 P4 and it worked fine with oracle 11.2.0.3 64-bit sparc binaries.
Thank you very much thsi was really helpfull answer.

Re: SNapmanager 3.1 for Oracle and issues with Oracle 11.2.03

Thanks.  Just a couple of points:

SMO 3.1P5 and SDU 4.2P3 were posted to NOW as of last Friday.

To be completely up to date on those release versions (3.1/4.2) those patch levels are the best you can be.

On 11.2.0.3 – that qualification is still in progress and not yet officially supported for use with SMO.

-Mark